Support » Allgemeine Fragen » Fehlermeldung nach upgrade auf wordpress 5.1

  • Gelöst KarenKoehler

    (@karenkoehler)


    LIebe Leute,
    vorhin habe ich meine websites – ich arbeite mit einer multi-site – auf wordpress 5.1 aktualisiert.
    Es erscheinen überall Fehlermeldungen. Am schlimmsten ist jedoch, dass auf meiner homepage jetzt folgende Meldung erscheint:

    „Notice: wp_check_site_meta_support_prefilter wurde fehlerhaft aufgerufen. The wp_blogmeta table is not installed. Please run the network database upgrade. Weitere Informationen: Debugging in WordPress (engl.) (Diese Meldung wurde in Version 5.1.0 hinzugefügt.) in /www/htdocs/w0081ecb/www.masterspot.de/wp/wp-includes/functions.php on line 4667

    Warning: Cannot modify header information – headers already sent by (output started at /www/htdocs/w0081ecb/www.masterspot.de/wp/wp-includes/functions.php:4667) in /www/htdocs/w0081ecb/www.masterspot.de/wp/wp-includes/pluggable.php on line 1251

    Warning: Cannot modify header information – headers already sent by (output started at /www/htdocs/w0081ecb/www.masterspot.de/wp/wp-includes/functions.php:4667) in /www/htdocs/w0081ecb/www.masterspot.de/wp/wp-includes/pluggable.php on line 1254“.

    Was kann ich tun?
    Ich freue ich über eine Antwort.
    Viele Grüße
    Karen Köhler

Ansicht von 15 Antworten - 1 bis 15 (von insgesamt 22)
  • Hallo,
    auf der Deiner Seite http://masterspot.de/ scheint alles ok zu sein – ich sehe keine warnings. Ist das Problem gelöst ? – wenn ja, bitte als gelöst markieren.
    Viele Grüße
    Hans-Gerd

    Hallo Hans-Gerd,
    danke für deine Antwort. Ich bin unterwegs und schaue es mir morgen noch einmal an. Mir ist aber schon aufgefallen, dass dir Fehlermeldung abhängig von dem jeweiligen Browser ist. Ich habe die Meldung bei Firefox bekommen.
    Einen schönen Abend
    Karen

    Hallo Karen,
    auf Firefox bekam ich gerade auch keine warnings.
    Viele Grüße und auch einen schönen Abend
    Hans-Gerd

    Hallo Hans-Gerd,

    das ist jetzt sehr merkwürdig. Bei mir schaut es im frontend jetzt auch wunderbar aus.
    Im Back-end habe ich immer noch folgende Fehlermeldungen:

    Notice: wp_check_site_meta_support_prefilter wurde fehlerhaft aufgerufen. The wp_blogmeta table is not installed. Please run the network database upgrade. Weitere Informationen: Debugging in WordPress (engl.) (Diese Meldung wurde in Version 5.1.0 hinzugefügt.) in /www/htdocs/w0081ecb/www.masterspot.de/wp/wp-includes/functions.php on line 4667

    Warning: Cannot modify header information – headers already sent by (output started at /www/htdocs/w0081ecb/www.masterspot.de/wp/wp-includes/functions.php:4667) in /www/htdocs/w0081ecb/www.masterspot.de/wp/wp-admin/includes/misc.php on line 1198

    Warning: Cannot modify header information – headers already sent by (output started at /www/htdocs/w0081ecb/www.masterspot.de/wp/wp-includes/functions.php:4667) in /www/htdocs/w0081ecb/www.masterspot.de/wp/wp-includes/option.php on line 947

    Warning: Cannot modify header information – headers already sent by (output started at /www/htdocs/w0081ecb/www.masterspot.de/wp/wp-includes/functions.php:4667) in /www/htdocs/w0081ecb/www.masterspot.de/wp/wp-includes/option.php on line 948.

    Was mir aufgefallen ist, dass die die „lines“ unterschiedlich sind zu denen der Fehlermeldungen von gestern.
    Wäre der richtige Weg, die plugins komplett zu deaktiveren und sukzessive wieder zu aktivieren?

    Viele Grüße und ich wünsche dir Sonne satt
    Karen

    Hallo Karen,
    ich vermute eher, dass das Update nicht korrekt durchgeführt worden ist:

    wp_check_site_meta_support_prefilter wurde fehlerhaft aufgerufen. The wp_blogmeta table is not installed. Please run the network database upgrade.

    In WP 5.1 gibt es in der Tat eine neue Tabelle wp_blogmeta, siehe hier.
    Vielleicht hilft es ja schon, wenn Du unter Dashboard->Aktualisierungen auf den Button „Erneut installieren“ klickst. Allerdings würde ich vorher eine Sicherung erstellen.
    Viele Grüße und Sonne satt wünsche ich Dir auch
    Hans-Gerd

    Lieber Hans-Gerd,

    ich danke dir noch einmal für die weitere Auskunft. Ich hoffe, ich schaffe es heute noch, zu tun, was du vorschlägst. Und dann melde ich mich mit einem entsprechenden feedback.

    Und schon wieder Sonne satt. Ich muss gießen – wir haben einen Garten.

    Viele Grüße
    Karen

    Hallo Hans-Gerd,

    leider hat die Aktualisierung der multisite nicht geholfen. Ich habe nun den Artikel zur wp_blogmeta-Tabelle gelesen, bin aber ehrlich: ich bin technisch nicht so tief drin, dass ich das alles verstanden hätte.

    Was könnte ich also noch tun?

    Ich danke dir für eine Antwort.

    Viele Grüße
    Karen

    Es gibt einen thread im englischen Forum, dort haben mehrere User Probleme mit der blogmeta-Tabelle gemeldet:

    https://wordpress.org/support/topic/not-creating-table-wp-blogmeta/

    Vielleicht solltest du den Thread abonnieren, möglicherweise findet sich dort eine Lösung, diese dann bitte hier posten, danke 🙂

    Hallo Karen,

    Was könnte ich also noch tun?

    … da fällt mir leider nichts mehr ein. Angelika hatte Dir ja noch etwas geschrieben. Da Du ja offensichtlich nicht die einzige Anwenderin mit dem Problem bist, scheint es da wohl Handlungsbedarf zu geben.
    Aber wenigstens funktioniert die Seite ja im frontend auf aufgrund der Warnings wird das backend wohl auch nicht unbedingt zusammenzubrechen.
    Abwarten auf die nächste Version scheint also jetzt die Devise zu sein …
    Viele Grüße
    Hans-Gerd

    Hallo Angelika,

    vielen Dank auch für deine Hilfe. Den Thread habe ich abonniert und melde mich hier wieder, wenn ich dort eine Lösung gefunden habe.

    Viele Grüße
    Karen

    Hallo Hans-Gerd,

    auch dir noch einmal herzlichen Dank. Und du hast natürlich Recht: im frontend ist alles fein. Insofern ist das Abwarten wahrscheinlich die effizienteste oder effektivste (ich verwechsele das ständig) Lösung.

    Einen schönen Tag und viele Grüße
    Karen

    I was able to solve this problem only by accessing the upgrade.php by the browser and updating my database.

    http://YOUR-SITE/wp-admin/upgrade.php

    After performing this procedure the error disappeared from my Query Monitor.

    Hope this helps.

    Hallo Angelika,

    vielen lieben Dank für den link. Ich werde es ausprobieren.
    Und dann hat noch fabinho7 geschrieben. Da schaue ich auch einmal.

    Viele Grüße

    Karen

    @fabinho7
    Hello fabinho7,
    tahnks for your message and I will have a look it this will work ant my site too.
    Best Regards
    Karen

Ansicht von 15 Antworten - 1 bis 15 (von insgesamt 22)
  • Das Thema „Fehlermeldung nach upgrade auf wordpress 5.1“ ist für neue Antworten geschlossen.